当前位置:  首页  >  服务器技术  >  Linux/unix  >  Linux系统

让Debian4支持4G以上内存-无需从新编译内核

让Debian4支持4G以上内存-无需从新编译内核--Linux发行版技术-Debian信息,下面是详情阅读。
  先用 uname -a 看一下当前的内核,显示如下:Linux debianpc 2.6.18-4-686 #1 SMP Thu May 10 00:23:00 UTC 2007 i686 GNU/Linux

  用 apt-cache search linux image big mem 查找是否有与当前内核匹配的支持大内存的内核文件,显示如下:

  loadlin - a loader (running under DOS) for LINUX kernel images
  linux-headers-2.6.18-4-686-bigmem - Header files for Linux 2.6.18 on PPro/Celeron/PII/PIII/P4
  linux-headers-2.6.18-5-686-bigmem - Header files for Linux 2.6.18 on PPro/Celeron/PII/PIII/P4
  linux-image-2.6-686-bigmem - Linux kernel 2.6 image on PPro/Celeron/PII/PIII/P4
  linux-image-2.6.18-4-686-bigmem - Linux 2.6.18 image on PPro/Celeron/PII/PIII/P4
  linux-image-2.6.18-5-686-bigmem - Linux 2.6.18 image on PPro/Celeron/PII/PIII/P4
  linux-image-686-bigmem - Linux kernel image on PPro/Celeron/PII/PIII/P4

  可以安装的支持大内存的内核文件

  用 aptitude install linux-image-2.6.18-4-686-bigmem 安装,重启

  再用 uname -a 看一下当前的内核,显示如下:Linux debianpc 2.6.18-4-686-bigmem #1 SMP Thu May 10 00:23:00 UTC 2007 i686 GNU/Linux

  现在支持4G以上内存了。
吐了个 "CAO" !
扫码关注 PHP1 官方微信号
PHP1.CN | 中国最专业的PHP中文社区 | PHP资讯 | PHP教程 | 数据库技术 | 服务器技术 | 前端开发技术 | PHP框架 | 开发工具 | PHP问答
Copyright © 1998 - 2020 PHP1.CN. All Rights Reserved PHP1.CN 第一PHP社区 版权所有